# Class EventType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Provides constants for event types.

    public static class EventType

Inheritance
  object
  EventType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### ContentBlockDelta

Represents the content_block_delta event type.

    public const string ContentBlockDelta = "content_block_delta"

#### Field Value

string

### ContentBlockStart

Represents the content_block_start event type.

    public const string ContentBlockStart = "content_block_start"

#### Field Value

string

### ContentBlockStop

Represents the content_block_stop event type.

    public const string ContentBlockStop = "content_block_stop"

#### Field Value

string

### Error

Represents the error event type.

    public const string Error = "error"

#### Field Value

string

### MessageComplete

Represents the message_complete event type.

    public const string MessageComplete = "message_complete"

#### Field Value

string

### MessageDelta

Represents the message_delta event type.

    public const string MessageDelta = "message_delta"

#### Field Value

string

### MessageStart

Represents the message_start event type.

    public const string MessageStart = "message_start"

#### Field Value

string

### MessageStop

Represents the message_stop event type.

    public const string MessageStop = "message_stop"

#### Field Value

string

### Ping

Represents the ping event type.

    public const string Ping = "ping"

#### Field Value

string